# Class AccessibleControlEvent

java.lang.Object
java.util.EventObject
org.eclipse.swt.accessibility.AccessibleControlEvent

All Implemented Interfaces:
  `Serializable`

public class AccessibleControlEvent extends EventObject
Instances of this class are sent as a result of accessibility clients sending messages to controls asking for detailed information about the implementation of the control instance. Typically, only implementors of custom controls need to listen for this event.

Note: The meaning of each field depends on the message that was sent.

Since:
  2.0
See Also:
  - `AccessibleControlListener`
  - `AccessibleControlAdapter`
  - Sample code and further information
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`Accessible`
`accessible`
`int`
`childID`
`Object[]`
`children`
`int`
`detail`
`int`
`height`
`String`
`result`
`int`
`width`
`int`
`x`
`int`
`y`

### Fields inherited from class EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`AccessibleControlEvent(Object source)`
Constructs a new instance of this class.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Returns a string containing a concise, human-readable description of the receiver.

### Methods inherited from class EventObject

`getSource`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### childID

public int childID

### accessible

public Accessible accessible

### x

public int x

### y

public int y

### width

public int width

### height

public int height

### detail

public int detail

### result

public String result

### children

public Object[] children

## Constructor Details

### AccessibleControlEvent

public AccessibleControlEvent(Object source)
Constructs a new instance of this class.

Parameters:
  `source` - the object that fired the event

## Method Details

### toString

public String toString()
Returns a string containing a concise, human-readable description of the receiver.

Overrides:
  `toString` in class `EventObject`
Returns:
  a string representation of the event